﻿using ID3global;
using System;
using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Text;
using System.Threading.Tasks;

namespace ID3global_.NET_Core_Sample_Code
{
    public class ID3globalServiceCalls
    {
        public static async Task<GlobalAccount> CheckCredentials_BasicBinding(string username, string password)
        {
            Binding binding = new BasicHttpBinding(BasicHttpSecurityMode.Transport);
            EndpointAddress endpointAddress = new EndpointAddress("https://pilot.id3global.com/ID3gWS/ID3global.svc/Soap11_NoAuth");

            GlobalCredentialsClient client = new GlobalCredentialsClient(binding, endpointAddress);
            client.ClientCredentials.UserName.UserName = username;
            client.ClientCredentials.UserName.Password = password;

            return await client.CheckCredentialsAsync(username, password);
            
        }
        public static async Task<GlobalResultData> Authenticate_BasicBinding(string username, string password, GlobalProfileIDVersion profileIDVersion, GlobalInputData globalInputData, string CustomerRef)
        {
            Binding binding = new BasicHttpBinding(BasicHttpSecurityMode.TransportWithMessageCredential);
            EndpointAddress endPointAddress = new EndpointAddress("https://pilot.id3global.com/ID3gWS/id3global.svc/Soap11_Auth");

            GlobalAuthenticateClient client = new GlobalAuthenticateClient(binding, endPointAddress);
            client.ClientCredentials.UserName.UserName = username;
            client.ClientCredentials.UserName.Password = password;

            return await client.AuthenticateSPAsync(profileIDVersion, CustomerRef, globalInputData);
        }
    }
}
