﻿using ID3global;
using System;
using System.ServiceModel;
using System.ServiceModel.Channels;
using System.Threading.Tasks;

namespace ID3global_.NET_Core_Sample_Code
{
    class Program
    {
        static async Task Main(string[] args)
        {

            string username = "";
            string password = "";

            try
            {
                var credentialsCheckResult = await ID3globalServiceCalls.CheckCredentials_BasicBinding(username, password);

                if (credentialsCheckResult != null)
                {
                    Console.WriteLine("Credentials ok: " + credentialsCheckResult.OrgName);

                    GlobalProfileIDVersion profileIdVersion = new GlobalProfileIDVersion();
                    profileIdVersion.ID = new Guid("5e2e87d7-9381-4bfd-a8d6-3f24812be6c1");
                    profileIdVersion.Version = 0;

                    GlobalInputData globalInputData = new GlobalInputData()
                    {
                        Personal = new GlobalPersonal()
                        {
                            PersonalDetails = new GlobalPersonalDetails()
                            {
                                Forename = "John",
                                Surname = "Doe",
                                Gender = GlobalGender.Male,
                                Title = "Mr",
                                DOBDay = 1,
                                DOBMonth = 1,
                                DOBYear = 1990
                            }
                        },
                    };
                    try
                    {
                        var result = await ID3globalServiceCalls.Authenticate_BasicBinding(username, password, profileIdVersion, globalInputData, "Test");

                        if (result != null)
                        {
                            Console.WriteLine(result.BandText);
                        }
                    }
                    catch(Exception exc)
                    {
                        Console.WriteLine("Something went wrong during AuthenticateSP: " + exc.ToString());
                    }
                    
                }
            }
            catch(Exception e)
            {
                Console.WriteLine("Something went wrong during Check Credentials: " + e.ToString());
            }            
        }
    }
}
